import argparse

from clippy.cookbook import Cookbook


class Reboot(Cookbook):
    """Safely reboots a node."""

    def argument_parser(self) -> argparse.ArgumentParser:
        parser = super().argument_parser()
        parser.add_argument("query")
        return parser

    def execute(self) -> int:
        remote = self.clippy.remote_hosts(self.args.query)
        self.logger.info("Rebooting %s", remote)
        remote.reboot()
        return 0
