"""Helpers for dealing with bare metal OS stuff."""

from enum import Enum


class FormattingEnum(Enum):
    def __str__(self):
        return self.value


class DebianVersion(FormattingEnum):
    bullseye = "bullseye"
    bookworm = "bookworm"


DEFAULT_NEW_OS = DebianVersion.bookworm


# TODO: automatically import this list from preseedd.
class DiskPartitioningScheme(FormattingEnum):
    FLAT = "flat"
    FLAT_NOSWAP = "flat-noswap"
    CUSTOM = "custom"


PRIMARY_INTERFACE_NAME = "eth0"
